/// <reference types="@adonisjs/config/build/adonis-typings/config" />
declare module '@ioc:Adonis/Addons/BullMQ' {
    import Config from '@ioc:Adonis/Core/Config';
    import { ConnectionOptions as BullMQConfig, Processor, Worker as BullWorker, Queue as BullQueue, QueueEvents as BullQueueEvents, WorkerOptions, QueueOptions } from 'bullmq';
    export class BullMQBaseClass {
        connection: BullMQConfig;
        constructor(config: typeof Config);
        queue<T, R>(name: string, options?: QueueOptions): BullQueue<T, R, string>;
        worker<T, R, N extends string = string>(name: string, callback: string | Processor<T, R, N>, options?: WorkerOptions): BullWorker<T, R, N>;
        events(name: string): BullQueueEvents;
    }
    const BullMQClass: BullMQBaseClass;
    export default BullMQClass;
}
